/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.cat.glossary.core;

/**
 * グロッサリー・ドライバーをあらわすインタフェース。
 */
public interface BentenGlossaryDriver {
	/**
	 * グロッサリー・ドライバーの名前を取得。
	 * 
	 * @return グロッサリー・エンジン名。
	 */
	String getName();

	/**
	 * グロッサリー・エンジンの取得。
	 * 
	 * @return グロッサリー・エンジンのインスタンス。
	 */
	BentenGlossaryEngine getEngineInstance();
}
